﻿--[[
	cyCircled: matte Vol by Stan
	
	Skin authors may use this package a base for their own skin packs.
	Please see skins.lua in the cyCircled package for information on attributes.
]]

-- Initialize the add-on.
cyCircled_VolM = AceLibrary("AceAddon-2.0"):new()

-- Configuration table.
local skins = {
	["VolM"] = {
		
		["HighlightTexture"]	= { w=32, h=32, dl="HIGHLIGHT", tex="Interface\\AddOns\\cyCircled_VolM\\textures\\highlight", bm="ADD", },
		["hotkey"]			= { x=3, y=13, dl="OVERLAY", },
		["count"]			= { x=8, y=-8, dl="OVERLAY", },
		["CheckedTexture"]	= { w=32, h=32, dl="ARTWORK", tex="Interface\\AddOns\\cyCircled_VolM\\textures\\checked", bm="ADD", },
		["equip"]			= { w=32, h=32, dl="ARTWORK", tex="Interface\\AddOns\\cyCircled_VolM\\textures\\equip", bm="ADD", },
		["flash"]			= { w=32, h=32, dl="ARTWORK", tex="Interface\\AddOns\\cyCircled_VolM\\textures\\\flash", bm="ADD", },
		["PushedTexture"] 	= { w=32, h=32, dl="ARTWORK", tex="Interface\\AddOns\\cyCircled_VolM\\textures\\pushed", bm="BLEND", },
		["cooldown"]		= { w=24, h=24, fl=2, s=1, },
		["autocast"]		= { w=32, h=32, x=1, y=-1, fl=2, s=.75 },
		["autocastable"]		= { w=54, h=54, x=0.5, y=-0.5, },
		["overlay"]			= { w=32, h=32, dl="BORDER", tex="Interface\\AddOns\\cyCircled_VolM\\textures\\overlay", },
		["icon"]			= { w=24, h=24, dl="BACKGROUND", },
		["bagicon"]			= { w=24, h=24, dl="BACKGROUND", },
		["NormalTexture"] 	= { w=1, h=1, dl="BACKGROUND", },
	},
}

-- Insert the skins into cyCircled
function cyCircled_VolM:OnEnable()
	for k, v in pairs(skins) do
		cyCircled.skins[k] = v
	end

	cyCircled:UpdateSkinList()

	-- Make sure that it loads the right skin.
	if cyCircled.skins[cyCircled.db.profile.current] then
		cyCircled.db.profile.skin = cyCircled.db.profile.current
	end
end